AO-LOAD(1)

NAME
ao-makebin - construct raw binary file or DFU image from collection of ELF files

SYNOPSIS
ao-makebin [--base=base-address] [--output=output.bin] [--dfu] [--verbose] input.elf ...

DESCRIPTION
ao-makebin reads the specified .elf files and writes out a raw binary flash image

OPTIONS

--base=base-address
    This specifies the target address for the first byte of the file (default is 0)

--output=output.bin
    This specifies the output file (default is stdout)

--dfu
    Creates a DFU file (as documented by ST's UM0391 user manual) instead of a raw binary file.

--verbose
    Dumps some debug information.

AUTHOR
Keith Packard